      subroutine scrida(mess,b,n,ifil,ienr)
      IMPLICIT REAL*8(A-H,O-Z)
      integer(8) n
      dimension b(*)
      character*1 mess(80)
      call lire(b,ienr,n,ifil)
      call scrida1(mess,b,n)
      return
      end
       subroutine scrida1(mess,b,n)
      IMPLICIT REAL*8(A-H,O-Z)
      dimension b(*)
      character*1 mess(80)
      do k=1,80
         if(mess(k).eq.'$') then
            ifin=k
            goto 1
         endif
      enddo
      write(6,*)'mauvais message dans scrida'
      return
 1    continue
      write(6,*)'SCRIDA  ',(mess(k),k=1,ifin-1)
      ifin=0
      do k=1,n,5
         ideb=ifin+1
         ifin=min0(n,ideb+4)
         write(6,1000)k,(b(kk),kk=ideb,ifin)
      enddo
 1000 format(i7,5(f10.6))
      return
      end
